# variables
export EDITOR=vim
# Start X at login
if status --is-login
  if test -z "$DISPLAY" -a $XDG_VTNR = 1
    exec startx
  end
end

fundle plugin 'edc/bass'
fundle plugin 'danhper/fish-ssh-agent'
fundle init
# run `fundle install` in the terminal

# bass to run utilities written in for bash in fish
if test -e /opt/ros/noetic/setup.bash
	bass source /opt/ros/noetic/setup.bash
end
if test -e /home/rothe/catkin_ws/install/setup.bash
	bass source /home/rothe/catkin_ws/install/setup.bash
end

if test -e /home/rothe/catkin_ws/install/setup.bash
	bass source ~/.profile
end

fish_add_path ~/go/bin/
fish_add_path ~/bin/

# set work specific stuff in there like GIT_AUTHOR_EMAIL and JIRA_API_TOKEN
bass source ~/.profile
